package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author: tzx
 * @Date: 2023/8/9 16:51
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.dingtalk")
public class DingtalkConfig {


    /**
     * appkey 或者 clientId
     */
    private String appKey;

    /**
     * appSecret 或者 clientSecret
     */
    private String appSecret;

    /**
     * agentid
     */
    private String agentid;

    /**
     * redirectUri 回调地址
     */
    private String redirectUri;

    /**
     * frontUrl 回调地址
     */
    private String frontUrl;
}
