package com.xjrsoft.module.activity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 活动报名范围
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class AddActivityEnrollRangeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 所属班级id
    */
    @ApiModelProperty("所属班级id")
    private Long classId;
    /**
    * 所属部门id
    */
    @ApiModelProperty("所属部门id")
    private Long deptId;
    /**
    * 用id
    */
    @ApiModelProperty("用id")
    private Long userId;
    /**
    * 活动(activity)
    */
    @ApiModelProperty("活动(activity)")
    private Long activityInfoId;

}
