package com.xjrsoft.module.activity.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.activity.dto.ActivityInfoPageDto;
import com.xjrsoft.module.activity.entity.ActivityInfo;
import com.xjrsoft.module.activity.vo.ActivityInfoPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Mapper
public interface ActivityInfoMapper extends MPJBaseMapper<ActivityInfo> {

    Page<ActivityInfoPageVo> getPage(Page<ActivityInfoPageVo> page, @Param("dto") ActivityInfoPageDto dto);

    Page<ActivityInfoPageVo> getMyPage(Page<ActivityInfoPageVo> page, @Param("dto") ActivityInfoPageDto dto);
}
