package com.xjrsoft.module.activity.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.activity.dto.AddActivityEnrollRangeDto;
import com.xjrsoft.module.activity.entity.ActivityEnrollRange;
import com.xjrsoft.module.activity.mapper.ActivityEnrollRangeMapper;
import com.xjrsoft.module.activity.service.IActivityEnrollRangeService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class ActivityEnrollRangeServiceImpl extends MPJBaseServiceImpl<ActivityEnrollRangeMapper, ActivityEnrollRange> implements IActivityEnrollRangeService {
    @Override
    public List<Long> getActivityInfoIds(AddActivityEnrollRangeDto dto) {
        return this.baseMapper.getActivityInfoIds(dto);
    }
}
