package com.xjrsoft.module.activity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 活动信息分页列表出参
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class ActivityEnrollPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 赛事名称
    */
    @ApiModelProperty("参与人员名称")
    private String name;
    /**
    * 报名时间
    */
    @ApiModelProperty("报名时间")
    private Date createDate;
    /**
    * 活动结束时间
    */
    @ApiModelProperty("活动结束时间")
    private Date endDate;
    /**
    * 用户名
    */
    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("角色id")
    private Long roleId;
    /**
    * 状态(0:待确认 1:未参与 2:已参与)
    */
    @ApiModelProperty("状态(0:待确认 1:未参与 2:已参与)")
    private Integer status;

    @ApiModelProperty("活动id")
    private String activityInfoId;

    @ApiModelProperty("教师表id")
    private Long teacherId;

    @ApiModelProperty("学生表id")
    private Long studentId;

}
