package com.xjrsoft.module.app.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: APP端功能模块管理表单出参
* @Author fanxp
* @Date: 2023-11-07
* @Version 1.0
*/
@Data
public class BaseAppFunctionVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 功能分类(xjr_dictionary_item[APPFUNC])
    */
    @ApiModelProperty("功能分类(xjr_dictionary_item[APPFUNC])")
    private String type;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 图标
    */
    @ApiModelProperty("图标")
    private String icon;
    /**
    * 图标前缀
    */
    @ApiModelProperty("图标前缀")
    private String prefix;
    /**
    * 图标颜色
    */
    @ApiModelProperty("图标颜色")
    private String color;
    /**
    * 模板ID
    */
    @ApiModelProperty("模板ID")
    private Long schemaId;
    /**
    * 排序
    */
    @ApiModelProperty("排序")
    private Integer sortCode;
    /**
    * 菜单类型 0=菜单 1=目录
    */
    @ApiModelProperty("菜单类型 0=菜单 1=目录")
    private Integer isDirectory;
    /**
    * 功能地址
    */
    @ApiModelProperty("功能地址")
    private String url;



}
