package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 考核模板表单出参
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AssessmentTemplatePlanQuestionVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;


    /**
    * assessmentQuestion
    */
    @ApiModelProperty("assessmentQuestion子表")
    private List<AssessmentQuestionVo> children;

    @ApiModelProperty("学生人数")
    private Integer studentCount;

    @ApiModelProperty("状态(0:未答题 1:已答题)")
    private Integer submitStatus;

}
