package com.xjrsoft.module.asset.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 资产管理表单出参
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/
@Data
public class WfAssetManageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 资产类型
    */
    @ApiModelProperty("资产类型")
    private String assetType;
    /**
     * 资产类型
     */
    @ApiModelProperty("资产类型")
    private String assetTypeCn;
    /**
    * 资产类别
    */
    @ApiModelProperty("资产类别")
    private String assetCategory;
    /**
     * 资产类别
     */
    @ApiModelProperty("资产类别")
    private String assetCategoryCn;
    /**
    * 资产种类
    */
    @ApiModelProperty("资产种类")
    private String assetSpecies;
    /**
     * 资产种类
     */
    @ApiModelProperty("资产种类")
    private String assetSpeciesCn;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 所属部门[xjr_department]
    */
    @ApiModelProperty("所属部门[xjr_department]")
    private Long deptId;
    /**
     * 所属部门[xjr_department]
     */
    @ApiModelProperty("所属部门[xjr_department]")
    private Long deptIdCn;
    /**
    * 使用人id[xjr_user]
    */
    @ApiModelProperty("使用人id[xjr_user]")
    private Long userId;
    /**
     * 使用人id[xjr_user]
     */
    @ApiModelProperty("使用人id[xjr_user]")
    private Long userIdCn;
    /**
    * 金额
    */
    @ApiModelProperty("金额")
    private BigDecimal amount;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Short status;
    /**
     * 其他信息
     */
    @ApiModelProperty("其他信息")
    private String extendJson;
}
