package com.xjrsoft.module.attendance.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 考勤规则人员绑定表
* @Author dzx
* @Date: 2024-05-08
* @Version 1.0
*/
@Data
public class AddAttendanceUserRelationDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 所属班级id
    */
    @ApiModelProperty("所属班级id")
    private Long classId;
    /**
    * 所属部门id
    */
    @ApiModelProperty("所属部门id")
    private Long deptId;
    /**
    * 用id
    */
    @ApiModelProperty("用id")
    private Long userId;

    @ApiModelProperty("名称")
    private String name;

}
