package com.xjrsoft.module.attendance.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class AttendanceStatisticDto extends PageInput {

    @ApiModelProperty("时间段（1：上午 2：下午）")
    private Integer timePeriod;

    @ApiModelProperty("查询时间")
    private String date;

    @ApiModelProperty("查询开始时间")
    private String startTime;

    @ApiModelProperty("查询结束时间")
    private String endTime;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("部门id")
    private Long deptId;
}
