package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教师考勤记录表单出参
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
public class TeacherAttendanceRecordVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 教师userId(xjr_user)
    */
    @ApiModelProperty("教师userId(xjr_user)")
    private Long userId;
    /**
    * 考勤方式(1：人脸，2：车辆)
    */
    @ApiModelProperty("考勤方式(1：人脸，2：车辆)")
    private Integer attendanceMode;
    /**
    * 考勤状态(xjr_dictionary_detail[attendance_status])
    */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
    * 时段（1：上午，2：下午，3：晚上）
    */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;



}
