package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 考勤时间段
* @Author dzx
* @Date: 2024年6月17日
* @Version 1.0
*/
@Data
public class TimeRangeVo {

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;

}
