package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
* @title: 新生分班任务分页查询入参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BandingTaskMajorConditionDto {

    @ApiModelProperty("专业方向id")
    private Long majorSetId;

    @ApiModelProperty("身高限制")
    private BigDecimal height;

    @ApiModelProperty("分数限制")
    private BigDecimal score;
}
