package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 调整班级
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class ChangeClassDto implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("学生ids")
    private List<Long> newStudentIds;

    @ApiModelProperty("班级id")
    private Long bandingTaskClassId;

    @ApiModelProperty("是否手动分班（1：是 0：否）")
    private Integer isHandle = 0;

}
