package com.xjrsoft.module.banding.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.banding.dto.BandingTaskClassPageDto;
import com.xjrsoft.module.banding.dto.BandingTaskClassStudentPageDto;
import com.xjrsoft.module.banding.entity.BandingTaskClass;
import com.xjrsoft.module.banding.vo.BandingTaskClassPageVo;
import com.xjrsoft.module.banding.vo.BandingTaskClassStudentListVo;
import com.xjrsoft.module.banding.vo.BandingTaskClassSureListVo;
import com.xjrsoft.module.outint.vo.IdCountVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 新生分班任务班级配置
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Mapper
public interface BandingTaskClassMapper extends MPJBaseMapper<BandingTaskClass> {
    List<BandingTaskClassPageVo> getList(@Param("dto")BandingTaskClassPageDto dto);

    List<BandingTaskClassStudentListVo> getClassStudent(@Param("dto") BandingTaskClassStudentPageDto dto);

    List<IdCountVo> getMajorClassCount(@Param("id") Long bandingTaskId);
    List<IdCountVo> getMajorClassStudentCount(@Param("id") Long bandingTaskId);

    List<BandingTaskClassSureListVo> getClassSure(@Param("dto") BandingTaskClassStudentPageDto dto);


    List<BandingTaskClass> getListOrderByAsc(@Param("id") Long bandingTaskId);

}
