package com.xjrsoft.module.banding.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 新生分班任务分页列表出参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskClassStudentListVo {

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("学号")
    private String credentialNumber;

    @ApiModelProperty("学生姓名")
    private String name;

    @ApiModelProperty("性别")
    private String genderCn;

    @ApiModelProperty("毕业学校")
    private String graduateSchool;

    @ApiModelProperty("毕业班级")
    private String graduateClass;

    @ApiModelProperty("第一志愿")
    private String firstAmbition;

    @ApiModelProperty("第二志愿")
    private String secondAmbition;

    @ApiModelProperty("班主人名称")
    private String teacherName;

    @ApiModelProperty("住宿类型")
    private String stduyStatusCn;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("身高")
    private BigDecimal height;

    @ApiModelProperty("体重")
    private BigDecimal weight;

    @ApiModelProperty("分数")
    private BigDecimal score;

}
