package com.xjrsoft.module.banding.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 新生分班任务表单出参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 年级id
    */
    @ApiModelProperty("年级id")
    private Long gradeId;
    /**
    * 招生类型
    */
    @ApiModelProperty("招生类型")
    private String enrollType;
    /**
    * 分班任务名称
    */
    @ApiModelProperty("分班任务名称")
    private String name;


    /**
    * bandingTaskRule
    */
    @ApiModelProperty("bandingTaskRule子表")
    private List<BandingTaskRuleVo> bandingTaskRuleList;
    /**
    * bandingTaskClass
    */
    @ApiModelProperty("bandingTaskClass子表")
    private List<BandingTaskClassVo> bandingTaskClassList;

}
