package com.xjrsoft.module.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 复用入参
* @Author brealinxx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class ClassCourseReuseDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 旧的班级id
    */
    @ApiModelProperty("旧的班级id")
    private Long oldClassId;
    /**
     * 新的班级id集合
     */
    @ApiModelProperty("新的班级id集合")
    private List<Long> newClassIds;
    /**
     * 旧的学期ID
     */
    @ApiModelProperty("旧的学期ID")
    private Long oldBaseSemesterId;
    /**
     * 新的学期ID
     */
    @ApiModelProperty("新的学期ID")
    private Long newBaseSemesterId;
}
