package com.xjrsoft.module.courseTable.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 第二课堂分页查询入参
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class SecondCoursePageDto extends PageInput {

        @ApiModelProperty("学期id")
        private Long semesterId;

        @ApiModelProperty("课程名称")
        private String name;

        @ApiModelProperty("状态")
        private Integer status;

        @ApiModelProperty("用户id")
        private Long userId;

}
