package com.xjrsoft.module.courseTable.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 第二课堂分页列表出参
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
public class SecondCoursePageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;

    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
    * 课程名称
    */
    @ApiModelProperty("课程名称")
    private String name;
    /**
    * 课程主要内容
    */
    @ApiModelProperty("课程主要内容")
    private String content;
    /**
    * 开课地点
    */
    @ApiModelProperty("开课地点")
    private String place;
    /**
    * 讲课老师
    */
    @ApiModelProperty("讲课老师")
    private String teacherName;

    /**
    * 参与范围
    */
    @ApiModelProperty("参与范围")
    private String enrollRange;
    /**
    * 状态(0:未发布 1:进行中 2:已结束)
    */
    @ApiModelProperty("状态(0:未发布 1:进行中 2:已结束)")
    private Integer status;

    @ApiModelProperty("报名人数")
    private Integer enrollCount;

    @ApiModelProperty("是否报名(0:否 1:是)")
    private Integer enrollStatus;

    @ApiModelProperty("封面id")
    private Long coverId;

    @ApiModelProperty("封面url")
    private String coverUrl;

}
