package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 数据看板-流程统计出参
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class HealthItemCountVo {

    /**
    * 发起流程总数
    */
    @ApiModelProperty("统计项")
    private String item;
    /**
    * 完成总数
    */
    @ApiModelProperty("学生传染病数量")
    private Long infectionCount;

    @ApiModelProperty("学生心理咨询数量")
    private Long psychologicalCount;

}
