package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 数据看板-流程统计出参
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class ProcessStatisticsDetailVo {

    /**
    * 发起流程总数
    */
    @ApiModelProperty("发起流程总数")
    private Long allCount;
    /**
    * 完成总数
    */
    @ApiModelProperty("完成总数")
    private Long completeCount;
    /**
    * 未完成总数
    */
    @ApiModelProperty("未完成总数")
    private Long uncompleteCount;

    @ApiModelProperty("流程分布情况")
    private List<DistributionVo> distributionList;

    @ApiModelProperty("审核完结时长分布")
    private List<DurationVo> durationList;

}
