package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 教职工数据
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class StudnetStatisticsDetailVo {


    @ApiModelProperty("性别占比数据")
    private List<ItemCountVo> genderList;

    @ApiModelProperty("学生类型占比数据")
    private List<ItemCountVo> studentTypeList;

    @ApiModelProperty("年级占比数据")
    private List<ItemCountVo> gradeList;

    @ApiModelProperty("住校男学生总人数")
    private Integer studentStayMaleCount;

    @ApiModelProperty("住校女学生总人数")
    private Integer studentStayFemaleCount;

    @ApiModelProperty("走读男学生总人数")
    private Integer studentNotStayMaleCount;

    @ApiModelProperty("走读女学生总人数")
    private Integer studentNotStayFemaleCount;

}
