package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 教职工数据
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class TeacherStatisticsDetailVo {


    @ApiModelProperty("学历占比数据")
    private List<ItemCountVo> educationList;

    @ApiModelProperty("性别占比数据")
    private List<ItemCountVo> genderList;

    @ApiModelProperty("聘用占比数据")
    private List<ItemCountVo> employList;

    @ApiModelProperty("年龄占比数据")
    private List<ItemCountVo> ageList;

    @ApiModelProperty("部门统计数据")
    private List<ItemCountVo> deptList;

}
