package com.xjrsoft.module.dataexpert.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 数据导出-数据源设置
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Data
public class AddDataExpertSourceDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 数据源名称
    */
    @ApiModelProperty("数据源名称")
    private String name;
    /**
    * 数据源类型
    */
    @ApiModelProperty("数据源类型")
    private String sourceType;
    /**
    * magicapi地址
    */
    @ApiModelProperty("magicapi地址")
    private String apiUrl;

    @ApiModelProperty("字段配置")
    private String fieldJson;

}
