package com.xjrsoft.module.dataexpert.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 数据导出-数据源-字段设置
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Data
@TableName("data_expert_template_field")
@ApiModel(value = "data_expert_template_field", description = "数据导出-数据源-字段设置")
public class DataExpertTemplateField implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;

    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;

    @ApiModelProperty("")
    private Integer sortCode;

    @ApiModelProperty("模板名称")
    private String name;

    @ApiModelProperty("数据模板(data_expert_template)")
    private Long dataExpertTemplateId;

    @ApiModelProperty("字段名称")
    private String fieldName;

    @ApiModelProperty("映射名称")
    private String showName;


}