package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价项表单出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class EvaluateManageScoreVo {

    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private String evaluateManageId;
    /**
     * 评价对象编号
     */
    @ApiModelProperty("评价对象编号")
    private String evaluateObjectId;
    /**
     * 评价记录提交编号
     */
    @ApiModelProperty("评价记录提交编号")
    private String submitRecordId;
    /**
    * 题目分数（最小为0，只能整数）
    */
    @ApiModelProperty("题目分数（最小为0，只能整数）")
    private Integer totalScore;
    /**
     * 题目分数（最小为1，只能整数）
     */
    @ApiModelProperty("题目数量（最小为1，只能整数）")
    private Integer itemCount;
}
