package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 评价结果首页详情查看的详情出参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateResultDetailPageDetailVo {

    /**
     * 评价名称
     */
    @ApiModelProperty("评价名称")
    private String name;

    /**
     * 评价模板总分
     */
    @ApiModelProperty("评价模板总分")
    private Integer total;

    /**
     * 实际得分
     */
    @ApiModelProperty("实际得分")
    private Integer actulTotal;

    /**
     * 被评价人名字
     */
    @ApiModelProperty("被评人名字")
    private String ObjectIdCN;

    /**
     * 参评人id
     */
    @ApiModelProperty("参评人id")
    private String userIdCN;

    /**
     * 评价结果首页详情查看的详情出参list集合
     */
    @ApiModelProperty(value = "评价结果首页详情查看的详情出参list集合")
    private List<EvaluateResultDetailPageDetailList> evaluateResultDetailPageDetailList;

}
