package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 评价项表单制作页面出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class MakeEvaluateItemVo {

    /**
    * 评价模板主键编号
    */
    @ApiModelProperty("评价模板主键编号")
    private Long id;
    /**
    * 模板名称
    */
    @ApiModelProperty("模板名称")
    private String name;
    /**
    * 评价类型
    */
    @ApiModelProperty("评价类型")
    private String evaluateTypeCN;
    /**
     * 使用部门ids
     */
    @ApiModelProperty("使用部门ids")
    private String deptIds;
    /**
     * 使用部门ids
     */
    @ApiModelProperty("使用部门ids")
    private String deptIdsCN;
    /**
    * 评价总分
    */
    @ApiModelProperty("评价总分")
    private Integer total;
    /**
     * 说明
     */
    @ApiModelProperty("说明")
    private String remark;

    /**
     * 评价项表单根据标题名称分组出参集合
     */
    @ApiModelProperty("评价项表单根据标题名称分组出参集合")
    private List<EvaluateItemGroupByTopicVo> evaluateItemGroupByTopicVoList;
}
