package com.xjrsoft.module.ledger.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 台账配置表
* @Author dzx
* @Date: 2024-03-06
* @Version 1.0
*/
@Data
public class AddLedgerConfigDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 台账名称
    */
    @ApiModelProperty("台账名称")
    private String name;
    /**
    * magicapi接口地址
    */
    @ApiModelProperty("magicapi接口地址")
    private String apiUrl;
    /**
    * 台账配置信息
    */
    @ApiModelProperty("台账配置信息")
    private String configJson;

}
