package com.xjrsoft.module.material.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 材料提交任务分配
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class AddMaterialTaskAssignDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 材料提交任务(material_task)
     */
    @ApiModelProperty("材料提交任务(material_task)")
    private Long materialTaskId;

    /**
     * 用户列表
     */
    @ApiModelProperty("用户列表")
    private List<MaterialAssignUserDto> userList;

}
