package com.xjrsoft.module.material.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 材料提交任务附件表单出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTaskAppendixVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 材料提交任务(material_task)
    */
    @ApiModelProperty("材料提交任务(material_task)")
    private Long materialTaskId;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    private String fileName;
    /**
     * 附件夹主键
     */
    @ApiModelProperty("附件夹主键")
    private Long folderId;
    /**
     * 文件路径
     */
    @ApiModelProperty("文件路径")
    private String fileUrl;


}
