package com.xjrsoft.module.organization.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @title: 移动端重置密码用户列表
 * @Author dzx
 * @Date: 2024年4月11日
 * @Version 1.0
 */
@Data
public class ResetUserPageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 账户
     */
    @ApiModelProperty("账户")
    private String userName;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;

    /**
     * 性别中文
     */
    @ApiModelProperty("性别中文")
    private String genderCn;

    /**
     * 手机号
     */
    @ApiModelProperty("头像")
    private String mobile;


    /**
     * 头像
     */
    @ApiModelProperty("头像")
    private String avatar;


}