package com.xjrsoft.module.personnel.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 劳资管理信息表表分页查询入参
* @Author brealinxx
* @Date: 2024-01-23
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class LaborManagementPageDto extends PageInput {
    @ApiModelProperty("工号")
    public String userName;

    @ApiModelProperty("姓名")
    public String name;

    @ApiModelProperty("性别代号")
    public String gender;

    @ApiModelProperty("入职时间")
    public String startWorkTime;

    @ApiModelProperty("离职时间")
    public String endWorkTime;

    @ApiModelProperty("在职状态")
    public String jobState;

    @ApiModelProperty("人员类别")
    public String natureOrganization;

    @ApiModelProperty("任职部门")
    public String departName;

    @ApiModelProperty("工作岗位")
    public String job;
}
