package com.xjrsoft.module.personnel.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.personnel.entity.StundentFaceProcess;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
* @title: 学生人脸信息审核
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/
@Mapper
public interface StundentFaceProcessMapper extends MPJBaseMapper<StundentFaceProcess> {
    @Update("UPDATE stundent_face_process SET delete_mark = 1 WHERE delete_mark = 0 AND user_id = #{dto.userId} and id != #{dto.id}")
    Boolean clearHistory(@Param("dto") StundentFaceProcess process);
}
