package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 寝室长任命
* @Author dzx
* @Date: 2023-12-30
* @Version 1.0
*/
@Data
public class AddRoomStudentAppointDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 寝室床位编号(room_bed)
    */
    @ApiModelProperty("寝室床位编号(room_bed)")
    private Long roomBedId;
    /**
    * 学生用户编号
    */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
    * 职务编号【只取职位级别为寝室的,cadreLevel_room】(base_student_post)
    */
    @ApiModelProperty("职务编号【只取职位级别为寝室的,cadreLevel_room】(base_student_post)")
    private Long postId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
