package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 宿管任命
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Data
public class AddRoomTeacherAppointDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(roomIds)")
    private List<Long> roomIds;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private List<Long> userIds;

}
