package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 寝室床位分页查询入参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AdjustBedPageDto extends PageInput {

    @ApiModelProperty("是否空寝室（1：是，0：否）")
    public Integer isEmptyRoom;

    @ApiModelProperty("楼栋id")
    public Long buildId;

    @ApiModelProperty("楼层")
    public Long floorNumber;

    @ApiModelProperty("寝室号")
    public String roomName;

    @ApiModelProperty("是否混合寝室（1：是，0：否）")
    public Integer isMax;

    @ApiModelProperty("入住班级")
    public Long classId;

    @ApiModelProperty("性别")
    public String gender;

    @ApiModelProperty("寝室id")
    public Long roomId;


}
