package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 寝室床位
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class DistributeRoomBedDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("班级ids")
    private List<Long> classIds;

    @ApiModelProperty("寝室ids")
    private List<Long> roomIds;

    @ApiModelProperty("是否需要混合寝室(0:否 1:是")
    private Integer isNeedMaxRoom = 0;

}
