package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;



/**
* @title: 奖学金发放记录表
* @Author dzx
* @Date: 2024-07-25
* @Version 1.0
*/
@Data
public class AddBaseStudentScholarshipReleaseDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 奖学金申请id
    */
    @ApiModelProperty("奖学金申请id")
    private Long baseStudentScholarshipApplicantId;
    /**
    * 发放金额
    */
    @ApiModelProperty("发放金额")
    private Double amount;
    /**
    * 发放日期
    */
    @ApiModelProperty("发放日期")
    private LocalDate releaseDate;

}
