package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 指标公式规则管理
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/
@Data
public class AddQuotaFormulaRuleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 规则公式
    */
    @ApiModelProperty("规则公式")
    private String formula;
    /**
    * 指标
    */
    @ApiModelProperty("指标")
    private String bindQuota;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
