package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 考核项目表分页查询入参
* @Author dzx
* @Date: 2024-03-05
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentAssessmentItemPageDto extends PageInput {

    /**
     * 学生考核类别(base_student_assessment_category)
     */
    @ApiModelProperty("学生考核类别")
    private Long baseStudentAssessmentCategoryId;
}
