package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 招生计划维护分页查询入参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EnrollmentPlanPageDto extends PageInput {

    /**
     * 计划名称
     */
    @ApiModelProperty("计划名称")
    private String name;
    /**
     * 招生类型(xjr_dictionary_detail[enroll_type])
     */
    @ApiModelProperty("招生类型(xjr_dictionary_detail[enroll_type])")
    private String enrollType;

    @ApiModelProperty("所属年级id")
    private Long gradeId;

}
