package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class QuantitativeAssessmentSingleScoreDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private List<Long> classIdList;

    /**
     * 学期ID(base_semester)每一种统计数据需要关联学期
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseStudentAssessmentCategoryId;
    /**
     * 学期ID(base_semester)每一种统计数据需要关联学期
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;
}
