package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentScholarshipReleasePageDto;
import com.xjrsoft.module.student.entity.BaseStudentScholarshipCategory;
import com.xjrsoft.module.student.vo.BaseStudentScholarshipCategoryStatisticPageVo;
import com.xjrsoft.module.student.vo.BaseStudentScholarshipReleasePageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @title: 奖学金类别
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Mapper
public interface BaseStudentScholarshipCategoryMapper extends MPJBaseMapper<BaseStudentScholarshipCategory> {

    Page<BaseStudentScholarshipCategoryStatisticPageVo> getStatisticsPage(Page<BaseStudentScholarshipReleasePageVo> page, @Param("dto") BaseStudentScholarshipReleasePageDto dto);
}
