package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班级专业方向表分页列表出参
* @Author szs
* @Date: 2023-12-28
* @Version 1.0
*/
@Data
public class BaseClassMajorSetPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 班级(base_class_major_set)
    */
    @ApiModelProperty("班级(base_class_major_set)")
    private Long classId;
    /**
    * 专业方向(base_major_set)
    */
    @ApiModelProperty("专业方向(base_major_set)")
    private Long majorSetId;
    /**
    * 计划人数
    */
    @ApiModelProperty("计划人数")
    private Integer planTotalStudent;
    /**
    * 班级人数
    */
    @ApiModelProperty("班级人数")
    private Integer totalStudent;
    /**
    * 男生人数
    */
    @ApiModelProperty("男生人数")
    private Integer boyNum;
    /**
    * 女生人数
    */
    @ApiModelProperty("女生人数")
    private Integer girlNum;

}
