package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public  class BaseDepMajorGradeClassStudenTreeVo implements ITreeNode<BaseDepMajorGradeClassStudenTreeVo,String>, Serializable {


    @ApiModelProperty("id")
    private String id;


    @ApiModelProperty("name")
    private String name;


    @ApiModelProperty("disabled")
    private String parentId;


    @ApiModelProperty("children")
    private List<BaseDepMajorGradeClassStudenTreeVo> children;

    @ApiModelProperty("树类型(1:部门  2:专业  3:年级  4:班级)")
    private Integer treeType;

}
