package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 专业方向，招生计划维护分页列表出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class BaseGraduateSchoolOfEnrollmentPlanListVo {

    /**
    * 毕业学校主键编号
    */
    @ApiModelProperty("毕业学校主键编号")
    private String id;

    /**
    * 毕业学校
    */
    @ApiModelProperty("毕业学校")
    private String name;

    @ApiModelProperty("是否在当前招生计划被选中")
    private Integer isSelect;

}
