package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 专业分类表分页列表出参
* @Author szs
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class BaseMajorCategorPageVo {

    /**
    * 主键
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键")
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 专业分类名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("专业分类名称")
    @ApiModelProperty("专业分类名称")
    private String name;
    /**
    * 专业分类代码
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("专业分类代码")
    @ApiModelProperty("专业分类代码")
    private String code;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 办学层次(base_major_gradation)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("办学层次(base_major_gradation)")
    @ApiModelProperty("办学层次(base_major_gradation)")
    private Long majorGradationId;

}
