package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 专业方向，招生计划维护分页列表出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class BaseMajorSetOfEnrollmentPlanPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("专业方向主键编号")
    private String id;
    /**
    * 专业方向
    */
    @ApiModelProperty("专业方向")
    private String baseMajorSetCn;
    /**
     * 所属校区
     */
    @ApiModelProperty("所属校区")
    private String homeCampus;
    /**
     * 所属专业部
     */
    @ApiModelProperty("所属专业部")
    private Long departmentId;
    /**
     * 所属专业部
     */
    @ApiModelProperty("所属专业部")
    private String departmentIdCn;
    /**
    * 办学层次
    */
    @ApiModelProperty("办学层次")
    private String majorGradationIdCn;

    @ApiModelProperty("是否在当前招生计划被选中")
    private Integer isSelect;

}
