package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 新生维护信息分页列表出参
* @Author dzx
* @Date: 2024-06-27
* @Version 1.0
*/
@Data
public class BaseNewStudentScoreExcelVo {

    /**
    * 毕业学校
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("毕业学校")
    @ApiModelProperty("毕业学校")
    private String graduateSchool;
    /**
    * 学生姓名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String gender;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("总成绩")
    @ApiModelProperty("总成绩")
    private BigDecimal score;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级")
    @ApiModelProperty("班级")
    private String graduateClass;


}
