package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学生操行分记录管理分页列表出参
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
public class BaseStudentBehaviorManageMobilePageVo {

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 考核时间
    */
    @ApiModelProperty("考核时间")
    private Date assessmentDate;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Double score;

    /**
    * 考核地点
    */
    @ApiModelProperty("考核地点")
    private String assessmentAddress;
    /**
     * 考核类别
     */
    @ApiModelProperty("考核类别")
    private String behaviorCategoryName;
    /**
     * 考核项目
     */
    @ApiModelProperty("考核项目")
    private String behaviorProjectName;

    /**
     * 考核类型
     */
    @ApiModelProperty("考核类型")
    private String scoreType;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String className;

    /**
     * 考核人
     */
    @ApiModelProperty("考核人")
    private String assessmentUserName;

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String name;

    /**
     * 学生姓名
     */
    @ApiModelProperty("考核类别")
    private String categoryName;

    /**
     * 学生姓名
     */
    @ApiModelProperty("考核项")
    private String projectName;
}
