package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 奖学金发放记录表分页列表出参
* @Author dzx
* @Date: 2024-07-25
* @Version 1.0
*/
@Data
public class BaseStudentScholarshipReleasePageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 奖学金申请id
    */
    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
    * 发放金额
    */
    @ApiModelProperty("发放状态（2:全部发放 1:部分发放 0:未发放）")
    private Integer releaseStatus;
    /**
    * 发放日期
    */
    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别")
    private String genderCn;

    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("申请奖助学金名称")
    private String scholarshipCategory;

    @ApiModelProperty("奖助学金类型")
    private String categoryCn;


    @ApiModelProperty("等级")
    private Integer scholarshipLevel;

    @ApiModelProperty("金额")
    private Double amount;

    @ApiModelProperty("银行卡号")
    private String bankNo;

    @ApiModelProperty("收款银行名称")
    private String bankType;

    @ApiModelProperty("银行账户名称")
    private String bankUserName;

    @ApiModelProperty("发放金额")
    private Double releaseAmount;

    @ApiModelProperty("发放日期")
    private Date releaseDate;

}
