package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 分页列表出参
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/
@Data
public class PbVXsxxsfytbExcelVo {

    /**
    * 学号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String Studentcode;
    /**
    * 姓名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String feeobjname;
    /**
    * 所属班级名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("所属班级名称")
    @ApiModelProperty("所属班级名称")
    private String classname;
    /**
    * 电话
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("电话")
    @ApiModelProperty("电话")
    private String telephone;
    /**
    * 性别
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String sex;
    /**
    * 应缴金额
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("应缴金额")
    @ApiModelProperty("应缴金额 ")
    private BigDecimal factar;
    /**
    * 实缴金额
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("实缴金额")
    @ApiModelProperty("实缴金额")
    private BigDecimal factrecarmny;
    /**
    * 退款金额
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("已退金额")
    @ApiModelProperty("已退金额")
    private BigDecimal refundmny;
    /**
     * 可退金额
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("可退金额")
    @ApiModelProperty("可退金额")
    private BigDecimal ktje;
    /**
    * 欠费金额
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("欠费金额")
    @ApiModelProperty("欠费金额")
    private BigDecimal qfje;

    /**
    * 收费项目名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("收费项目名称")
    @ApiModelProperty("收费项目名称")
    private String feeitemname;
    /**
     * 学期Id
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期Id")
    @ExcelIgnore
    @ApiModelProperty("学期Id")
    private String baseSemester;
    /**
     * 学期
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期")
    @ApiModelProperty("学期")
    private String baseSemesterCn;
    /**
     * 学生Id
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生Id")
    @ExcelIgnore
    @ApiModelProperty("学生Id")
    private String userId;
    /**
    * 主键
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键")
    @ExcelIgnore
    @ApiModelProperty("主键")
    private String pksfxxytb;

}
