package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学生报到记录表分页列表出参
* @Author dzx
* @Date: 2024-08-28
* @Version 1.0
*/
@Data
public class StudentReportRecordPageVo {


    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 报到时间
    */
    @ApiModelProperty("学生姓名")
    private String name;
    /**
    * 所属学期
    */
    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ApiModelProperty("身份证号")
    private String mobile;

    @ApiModelProperty("就读方式")
    private String stduyStatusCn;

    @ApiModelProperty("家长电话")
    private String parentMobile;


    @ApiModelProperty("是否已报到（1:是 0:否）")
    private Integer isReport;

    @ApiModelProperty("毕业学校")
    private String graduatedUniversity;

}
