package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 系统提示信息设置分页列表出参
* @Author dzx
* @Date: 2024-08-12
* @Version 1.0
*/
@Data
public class XjrTipsMessagePageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 消息分组
    */
    @ApiModelProperty("消息分组")
    private String groupName;
    /**
    * 唯一code
    */
    @ApiModelProperty("唯一code")
    private String code;
    /**
    * 消息内容
    */
    @ApiModelProperty("消息内容")
    private String content;

    @ApiModelProperty("提示名称")
    private String name;

}
