package com.xjrsoft.module.teacher.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.teacher.dto.AttendancePersonnelPageDto;
import com.xjrsoft.module.teacher.dto.SelectPersonPageDto;
import com.xjrsoft.module.teacher.entity.AttendancePersonnel;
import com.xjrsoft.module.teacher.vo.AttendancePersonnelPageVo;
import com.xjrsoft.module.teacher.vo.SelectPersonPageVo;

import java.util.List;

/**
* @title: 考勤-人员
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/

public interface IAttendancePersonnelService extends MPJBaseService<AttendancePersonnel> {

    /**
     * 考勤-人员列表(分页)
     * @param dto
     * @return
     */
    IPage<AttendancePersonnelPageVo> getListPage(AttendancePersonnelPageDto dto);

    /**
     * 批量添加考勤-人员
     * @param userIds
     * @return
     */
    Boolean addBatch(List<Long> userIds);

    /**
     *
     * @param dto
     * @return
     */
    IPage<SelectPersonPageVo>  selectPersonPage(SelectPersonPageDto dto);
}
