package com.xjrsoft.module.teacher.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 考勤-记录分页列表出参
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
public class AttendanceRecordPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 用户名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户名")
    @ApiModelProperty("用户名")
    private String userName;
    /**
     * OA
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("OA")
    @ApiModelProperty("OA")
    private String OA;
    /**
     * 用户名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("部门名")
    @ApiModelProperty("部门名")
    private String deptName;
    /**
    * 打卡时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("打卡时间")
    @ApiModelProperty("打卡时间")
    private Date checkTime;
    /**
    * 地点
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("地点")
    @ApiModelProperty("地点")
    private String address;
    /**
    * 状态（1:正常 2:迟到）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:正常 2:迟到）")
    @ApiModelProperty("状态（1:正常 2:迟到）")
    private Integer status;

}
