package com.xjrsoft.module.teacher.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 考勤-人员分页列表出参
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
public class SelectPersonPageVo {

    /**
     * 用户编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户编号")
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
     * 用户编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户姓名")
    @ApiModelProperty("用户姓名")
    private String userName;

    /**
     * 用户工号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户工号")
    @ApiModelProperty("用户工号")
    private String jobNumber;

    /**
     * 性别
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String gender;

    /**
     * 联系电话
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("联系电话")
    @ApiModelProperty("联系电话")
    private String mobile;

    /**
     * 部门
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("部门")
    @ApiModelProperty("部门")
    private String deptName;

    /**
     * 岗位
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("岗位")
    @ApiModelProperty("岗位")
    private String postName;

}
