package com.xjrsoft.module.textbook.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
* @title: 教师教材领取按学生查看页面入参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TeacherCheckByStuDto extends PageInput {
    /**
     * 学生用户编号
     */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
     * 班级编号
     */
    @ApiModelProperty(value = "班级编号")
    private List<Long> classIdList;
    /**
     * 领取情况（1=全部数据，2=该学生教材全部领取，3=该学生教材部分未领取）
     */
    @ApiModelProperty("领取情况")
    private Integer claimStatus;
}
