package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教材核心信息管理表单出参
* @Author szs
* @Date: 2024-04-08
* @Version 1.0
*/
@Data
public class TextbookCoreAttributeVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 国际标准刊号
    */
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
    * 国际标准书号
    */
    @ApiModelProperty("国际标准书号")
    private String isbn;
    /**
    * 书名
    */
    @ApiModelProperty("书名")
    private String bookName;
    /**
    * 出版社
    */
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 主编
    */
    @ApiModelProperty("主编")
    private String editorInChief;



}
