package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 学生教材认领记录分页列表出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookStudentClaimPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
     * 书名
     */
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 定价(元)
     */
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
     * 折后价格
     */
    @ApiModelProperty("折后价格")
    private BigDecimal discountPrice;
    /**
    * 是否领取（1:已领取 0:未领取）
    */
    @ApiModelProperty("是否领取（1:已领取 0:未领取）")
    private Integer isClaim;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
