package com.xjrsoft.module.weekly.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 值周排班分页列表出参
* @Author dzx
* @Date: 2023-12-30
* @Version 1.0
*/
@Data
public class WeeklyDutySchedulePageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号/工号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("工号")
    @ApiModelProperty("工号")
    private String userNumber;
    /**
    * 姓名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 证件号码
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("证件号码")
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
    * 年龄
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年龄")
    @ApiModelProperty("年龄")
    private Integer age;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("值周情况")
    @ApiModelProperty("值周情况")
    private String remark;

    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @ExcelProperty("出生日期")
    private Date dateBirth;

}
