package com.xjrsoft.common.model.datasource;

import lombok.Data;

/**
 * 字段信息
 * @Author: tzx
 * @Date: 2022/4/25 11:46
 */
@Data
public class MyColumnInfo {

    /**
     * 数据库字段名
     */
    private String column;

    /**
     * entity 属性名
     */
    private String property;

    /**
     * entity 属性类型
     */
    private String propertyType;

    /**
     * 数据库字段类型
     */
    private String dataType;


    /**
     * 字段长度
     */
    private Integer dataLength;

    /**
     * 是否为空
     */
    private Boolean nullable;

    /**
     * 是否为主键
     */
    private Boolean primaryKey;

    /**
     * 是否为自增
     */
    private Boolean autoIncrement;

    /**
     * 字段注释
     */
    private String columnComment;

    /**
     * 字段默认值
     */
    private String columnDefault;


}
