package com.xjrsoft.module.activity.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.activity.dto.ActivityEnrollExportDto;
import com.xjrsoft.module.activity.dto.ActivityEnrollPageDto;
import com.xjrsoft.module.activity.entity.ActivityEnroll;
import com.xjrsoft.module.activity.vo.ActivityEnrollPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 活动登记表
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Mapper
public interface ActivityEnrollMapper extends MPJBaseMapper<ActivityEnroll> {

    Page<ActivityEnrollPageVo> getPage(Page<ActivityEnrollPageVo> page, @Param("dto") ActivityEnrollPageDto dto);

    List<ActivityEnrollPageVo> getList(@Param("dto") ActivityEnrollExportDto dto);
}
