package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 考核模板表单出参
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AssessmentTemplatePlanResultVo {

    @ApiModelProperty("")
    private Long id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("分数")
    private Long score;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("题目内容")
    private List<OneQuestionVo> children;

    @ApiModelProperty("学生人数")
    private Integer studentCount;

}
