package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 考核计划表单出参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AssessmentTemplatePlanVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 计划开始时间
    */
    @ApiModelProperty("计划开始时间")
    private Date startTime;
    /**
    * 计划结束时间
    */
    @ApiModelProperty("计划结束时间")
    private Date endTime;
    /**
    * 状态(0:未发布 1:已发布)
    */
    @ApiModelProperty("状态(0:未发布 1:已发布)")
    private Integer status;
    /**
    * 考核模板id(assessment_template)
    */
    @ApiModelProperty("考核模板id(assessment_template)")
    private Long assessmentTemplateId;

}
