package com.xjrsoft.module.asset.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.asset.dto.WfAssetManageConditionalSearchQueryDto;
import com.xjrsoft.module.asset.dto.WfAssetManagePageDto;
import com.xjrsoft.module.asset.dto.WfAssetManageSelectRecordQueryDto;
import com.xjrsoft.module.asset.entity.WfAssetManage;
import com.xjrsoft.module.asset.vo.WfAssetManagePageVo;
import com.xjrsoft.module.asset.vo.WfAssetManageQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 资产管理
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/
@Mapper
public interface WfAssetManageMapper extends MPJBaseMapper<WfAssetManage> {

    IPage<WfAssetManagePageVo> getPage(IPage<WfAssetManagePageDto> page, WfAssetManagePageDto dto);

    List<WfAssetManageQueryVo> listWfAssetManageSelectRecordQuery(@Param("dto") WfAssetManageSelectRecordQueryDto dto);

    List<WfAssetManageQueryVo> listWfAssetManageConditionalSearchQuery(@Param("dto") WfAssetManageConditionalSearchQueryDto dto);
}
