package com.xjrsoft.module.attendance.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.attendance.dto.UpdateAttendanceMessageSetDto;
import com.xjrsoft.module.attendance.entity.AttendanceMessageSet;

import java.util.List;

/**
* @title: 考勤消息设置
* @Author dzx
* @Date: 2024-05-21
* @Version 1.0
*/

public interface IAttendanceMessageSetService extends MPJBaseService<AttendanceMessageSet> {
    /**
    * 新增
    *
    * @param attendanceMessageSet
    * @return
    */
    Boolean add(AttendanceMessageSet attendanceMessageSet);

    /**
    * 更新
    *
    * @param attendanceMessageSet
    * @return
    */
    Boolean update(AttendanceMessageSet attendanceMessageSet);

    /**
     * 更新
     *
     * @param attendanceMessageSetDtos
     * @return
     */
    Boolean edit(List<UpdateAttendanceMessageSetDto>  attendanceMessageSetDtos);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);
}
