package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 考勤规则分页列表出参
* @Author dzx
* @Date: 2024-05-08
* @Version 1.0
*/
@Data
public class AttendanceRuleCategoryPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 考勤规则名称
    */
    @ApiModelProperty("考勤规则名称")
    private String name;
    /**
    * 考勤开始时间
    */
    @ApiModelProperty("考勤开始时间")
    private Date startDate;
    /**
    * 考勤结束时间
    */
    @ApiModelProperty("考勤结束时间")
    private Date endDate;
    /**
    * 被考勤角色（xjr_role）
    */
    @ApiModelProperty("被考勤角色（xjr_role）")
    private Long roleId;
    /**
    * 考勤人员范围（1：全体 2：指定）
    */
    @ApiModelProperty("考勤人员范围（1：全体 2：指定）")
    private Integer attendanceRange;
    /**
    * 就读方式(xjr_dictionary_item[stduy_status])
    */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;
    /**
    * 状态（1：启用 0：禁用）
    */
    @ApiModelProperty("状态（1：启用 0：禁用）")
    private Integer status;

    @ApiModelProperty("非考勤周期是否允许进出（1：是 0：否）")
    private Integer notCycleIsInOut;

}
