package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 教师考勤统计列表
* @Author dzx
* @Date: 2024年5月29日
* @Version 1.0
*/
@Data
public class TeacherStatisticsPageVo {

    @ApiModelProperty("教职工姓名")
    private String teacherName;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("考勤状态")
    private String status;

    @ApiModelProperty("教师userId")
    private Long userId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("考勤时间")
    private LocalDateTime recordTime;

    @ApiModelProperty("考勤方式")
    private String attendanceMode;

    @ApiModelProperty("车牌号")
    private String carNumber;
}
