package com.xjrsoft.module.banding.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 调整班级
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class StudentDto extends PageInput {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("班级id")
    private Long bandingTaskClassId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别-字典")
    private String gender;

    @ApiModelProperty("身份证")
    private String credentialNumber;

    @ApiModelProperty("专业方向id")
    private Long majorSetId;


    @ApiModelProperty("任务id")
    private Long bandingTaskId;

}
