package com.xjrsoft.module.banding.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.banding.dto.BandingTaskClassPageDto;
import com.xjrsoft.module.banding.dto.BandingTaskMajorConditionListDto;
import com.xjrsoft.module.banding.entity.BandingTaskMajorCondition;
import com.xjrsoft.module.banding.vo.BandingTaskMajorConditionListVo;
import com.xjrsoft.module.student.entity.BaseNewStudent;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 新生分班任务规则
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Mapper
public interface BandingTaskMajorConditionMapper extends MPJBaseMapper<BandingTaskMajorCondition> {

    List<BandingTaskMajorConditionListVo> getList(@Param("dto") BandingTaskMajorConditionListDto dto);


    List<BaseNewStudent> getStudentMajorId(@Param("dto") BandingTaskClassPageDto dto);
}
