package com.xjrsoft.module.banding.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 新生分班任务分页列表出参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskPageVo {

    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 年级id
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("年级id")
    private Long gradeId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
    * 招生类型
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("招生类型")
    private String enrollType;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("招生类型-中文")
    private String enrollTypeCn;

    /**
    * 分班任务名称
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("分班任务名称")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("任务状态（0：未确认 1：已确认）")
    private Integer status;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("已录取人数")
    private Integer admissionsCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("已分班人数")
    private Integer dividedCount;

}
