package com.xjrsoft.module.base.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 班级课程分页列表出参
* @Author brealinxx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class BaseClassCourseExportListVo {

    @ExcelProperty("学期")
    private String baseSemesterIdCn;

    /**
     * 班级id(base_class)
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id(base_class)")
    @ExcelProperty("班级")
    private String classIdCn;

    @ApiModelProperty("课程id")
    @ExcelProperty("课程")
    private String courseIdCn;

    /**
     * 教材id(textbook)
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("教材id(textbook)")
    @ExcelProperty("教材")
    private String textbookIdCn;

}
