package com.xjrsoft.module.courseTable.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.courseTable.dto.SecondCourseEnrollPageDto;
import com.xjrsoft.module.courseTable.dto.SecondCoursePageDto;
import com.xjrsoft.module.courseTable.entity.SecondCourse;
import com.xjrsoft.module.courseTable.vo.SecondCourseEnrollVo;
import com.xjrsoft.module.courseTable.vo.SecondCoursePageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 第二课堂
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Mapper
public interface SecondCourseMapper extends MPJBaseMapper<SecondCourse> {

    Page<SecondCoursePageVo> getPage(Page<SecondCoursePageVo> page, @Param("dto") SecondCoursePageDto dto);

    Page<SecondCourseEnrollVo> getEnrollPage(Page<SecondCourseEnrollVo> page, @Param("dto") SecondCourseEnrollPageDto dto);

    List<SecondCourseEnrollVo> getEnrollList(@Param("dto") SecondCourseEnrollPageDto dto);


    Page<SecondCoursePageVo> getMyPage(Page<SecondCoursePageVo> page, @Param("dto") SecondCoursePageDto dto);
}
