package com.xjrsoft.module.databoard.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;


/**
* @title: 数据看板-流程统计入参
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class StatisticsDetailDto {

    @ApiModelProperty("用户id")
    private Long userId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("查询开始日期")
    private LocalDate startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("查询结束日期")
    private LocalDate endDate;

}
