package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 数据看板-课程统计出参
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class CourseStatisticsVo {

    /**
    * 发起流程总数
    */
    @ApiModelProperty("课程总数")
    private Integer allCount;
    /**
    * 完成总数
    */
    @ApiModelProperty("有课老师总数")
    private Integer teacherCount;

    @ApiModelProperty("有课老师总数")
    private Integer noTeacherCount;

    @ApiModelProperty("调课总数")
    private Integer adjustCount;

    @ApiModelProperty("顶课总数")
    private Integer replaceCount;
}
