package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 数据看板-课程统计出参
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class PersonStatisticsVo {


    @ApiModelProperty("教师总人数")
    private Integer teacherCount;

    @ApiModelProperty("男教师总人数")
    private Integer teacherMaleCount;

    @ApiModelProperty("女教师总人数")
    private Integer teacherFemaleCount;

    @ApiModelProperty("正式聘用教师数")
    private Integer teacherCount1;

    @ApiModelProperty("外聘/临聘教师数")
    private Integer teacherCount2;

    @ApiModelProperty("兼职教师数")
    private Integer teacherCount3;

    @ApiModelProperty("合作办学教师数")
    private Integer teacherCount4;

    @ApiModelProperty("其他人员")
    private Integer teacherCount5;


    @ApiModelProperty("学生总人数")
    private Integer studentCount;

    @ApiModelProperty("男学生总人数")
    private Integer studentMaleCount;

    @ApiModelProperty("女学生总人数")
    private Integer studentFemaleCount;

    @ApiModelProperty("住校男学生总人数")
    private Integer studentStayMaleCount;

    @ApiModelProperty("住校女学生总人数")
    private Integer studentStayFemaleCount;

    @ApiModelProperty("走读男学生总人数")
    private Integer studentNotStayMaleCount;

    @ApiModelProperty("走读女学生总人数")
    private Integer studentNotStayFemaleCount;

}
