package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 入参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateManageScoreDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private Long evaluateManageId;

    /**
     * 被评对象编号
     */
    @ApiModelProperty("被评对象编号")
    private List<String> submitRecordIdList;

    /**
     * 当前登录用户id
     */
    @ApiModelProperty("当前登录用户id")
    private Long userId;
}
