package com.xjrsoft.module.evaluate.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 评价结果首页查看详情分页查询入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EvaluateResultDetailPageDto extends PageInput {
    /**
     * 评价管理主键编号
     */
    @ApiModelProperty(value = "评价管理主键编号",required = true)
    private Long evaluateManageId;
    /**
     * 年级id
     */
    @ApiModelProperty("年级id")
    private Long baseGradeId;
    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
     * 教师id
     */
    @ApiModelProperty("教师id")
    private Long teacherId;
    /**
     * name
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 是否评分
     */
    @ApiModelProperty("是否评分（0-未评分，1-已评分）")
    private Integer status;
    /**
     * 查询对象
     */
    @ApiModelProperty("查询对象（0-全部，1-被评人，2-参评人）")
    private Integer checkObject;

}
