package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 评价结果分页查询入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class MobileResultPageDto extends MobileIndexPageDto {
    @ApiModelProperty("评分状态（1：已评分，0：未评分, null:全部）")
    private Integer status;

    @ApiModelProperty(value = "评价管理id", required = true)
    private Long evaluateManageId;

    @ApiModelProperty(value = "评价类型")
    private String evaluateType;

    @ApiModelProperty(value = "专业id")
    private Long majorId;

    @ApiModelProperty(value = "开始时间", hidden = true)
    private LocalDateTime startTime;

    @ApiModelProperty(value = "结束时间", hidden = true)
    private LocalDateTime endTime;
}
