package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 评价结果首页分页列表出参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateResultIndexPageVo {

    /**
    * 评价管理主键编号
    */
    @ApiModelProperty("评价管理主键编号")
    private String evaluateManageId;
    /**
     * 学期名称
     */
    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
     * 发布部门
     */
    @ApiModelProperty("发布部门")
    private String orgName;
    /**
     * 评价类型-中文
     */
    @ApiModelProperty("评价类型-中文")
    private String evaluateTypeCN;
    /**
     * 评价名称
     */
    @ApiModelProperty("评价名称")
    private String name;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private Date endTime;

}
