package com.xjrsoft.module.form.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * @Author: tzx
 * @Date: 2023/8/17 14:58
 */
@Data
public class AppFormExecuteAddOrUpdateDto {
    /**
     * app功能id
     */
    @NotNull(message = "app功能id 不能为空！")
    private Long funcId;

    /**
     * 自定义表单 表单数据
     */
    private Map<String,Object> formData;
}
