package com.xjrsoft.module.form.entity;

import com.xjrsoft.module.generator.entity.ListConfig;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2022/5/11 16:33
 */
@Data
public class FormReleaseConfig {
    @NotNull(message = "表单id不能为空")
    private Long formId;

    @Valid
    @NotNull(message = "菜单配置不能为空")
    private MenuConfig menuConfig;


    @Valid
    @NotNull(message = "列表配置不能为空")
    private ListConfig listConfig;
}
