package com.xjrsoft.module.ledger.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 物品申购分页查询入参
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WfSubscriptionPageDto extends PageInput {

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endDate;

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private Long orgId;

    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private String userName;

}
