package com.xjrsoft.module.ledger.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.ledger.dto.LedgerConfigReleasePageDto;
import com.xjrsoft.module.ledger.entity.LedgerConfigRelease;
import com.xjrsoft.module.ledger.vo.LedgerConfigPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 台账发布表
* @Author dzx
* @Date: 2024-03-07
* @Version 1.0
*/
@Mapper
public interface LedgerConfigReleaseMapper extends MPJBaseMapper<LedgerConfigRelease> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<LedgerConfigPageVo> getPage(Page<LedgerConfigPageVo> page, LedgerConfigReleasePageDto dto);
}
