package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.ledger.service.IWfSubscriptionService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 物品申购流程走完节点
 */
@Component("wf_subscription_node")
public class WfSubscriptionNode extends NodeComponent {
    @Autowired
    private IWfSubscriptionService wfSubscriptionService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            wfSubscriptionService.dataHandle(formId);
        }
    }
}
