package com.xjrsoft.module.oa.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class NewsRelationPageDto extends PageInput {

    @ApiModelProperty("新闻主键")
    private Long newsId;

    @ApiModelProperty("阅读标记  0=全部 1=未读 2=已读")
    private Integer readMark;

    @ApiModelProperty("回复  0=全部 1=未回复 2=已回复")
    private Integer replyMark;
}
