package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
* @title: 文件收发表
* @Author fanxp
* @Date: 2023-11-02
* @Version 1.0
*/
@Data
@TableName("wf_oa_pull")
@ApiModel(value = "文件收发表对象", description = "文件收发表")
public class WfOaPull implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 来文标题
    */
    @ApiModelProperty("来文标题")
    private String title;
    /**
    * 收文编号
    */
    @ApiModelProperty("收文编号")
    private String number;
    /**
    * 缓急
    */
    @ApiModelProperty("缓急")
    private String urgency;
    /**
    * 来文字号
    */
    @ApiModelProperty("来文字号")
    private String pullNumber;
    /**
    * 来文日期
    */
    @ApiModelProperty("来文日期")
    private LocalDateTime pullDate;
    /**
    * 来文机关
    */
    @ApiModelProperty("来文机关")
    private String institution;
    /**
    * 密级
    */
    @ApiModelProperty("密级")
    private String classification;
    /**
    * 拟办意见
    */
    @ApiModelProperty("拟办意见")
    private String opinion;
    /**
    * 领导批示
    */
    @ApiModelProperty("领导批示")
    private String leaderOpinion;
    /**
    * 部门办理情况
    */
    @ApiModelProperty("部门办理情况")
    private String organHandleStatus;
    /**
    * 收文机构
    */
    @ApiModelProperty("收文机构")
    private String pullOrgan;
    /**
    * 收文人
    */
    @ApiModelProperty("收文人")
    private String personName;
    /**
    * 公文附件
    */
    @ApiModelProperty("公文附件")
    private String files;
    /**
    * 隐藏组件
    */
    @ApiModelProperty("隐藏组件")
    private String isend;


}