package com.xjrsoft.module.oa.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.oa.entity.NewsRelation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface NewsRelationMapper extends MPJBaseMapper<NewsRelation> {
    /**
     * 添加全体教职工
     * @param newsId
     * @return
     */
    Boolean insertAllTeaStaff(@Param("newsId") Long newsId);
    /**
     * 添加部门下面的人
     * @param newsId
     * @param deptIdList
     * @return
     */
    Boolean insertDeptUser(@Param("newsId") Long newsId, @Param("deptIdList")List<Long> deptIdList);
    /**
     * 添加班级下面的人
     * @param newsId
     * @param classIdList
     * @return
     */
    Boolean insertClassUser(@Param("newsId") Long newsId, @Param("classIdList")List<Long> classIdList);
    /**
     * 添加人员下面的人
     * @param newsId
     * @param userIdList
     * @return
     */
    Boolean insertPersonl(@Param("newsId") Long newsId, @Param("userIdList")List<Long> userIdList);
}
