package com.xjrsoft.module.organization.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @title: PersonPageVo
 * @Author dzx
 * @Date: 2024年8月15日
 * @Version 1.0
 */
@Data
public class PersonPageVo implements Serializable {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 账户
     */
    @ApiModelProperty("工号/学号")
    private String userName;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别-中文")
    private String genderCn;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("聘用类型")
    private String employType;

    @ApiModelProperty("聘用方式")
    private String employWay;

}