package com.xjrsoft.module.outint.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 学生出入记录
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class AddStudentOutInRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 班主任id
    */
    @ApiModelProperty("班主任id")
    private Long teacherId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private String recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;

}
