package com.xjrsoft.module.personnel.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @title: 年工资条分页查询入参
 * @Author brealinxx
 * @Date: 2024-01-25
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BasePersonnelLabourCapitalYearPageDto extends PageInput {
    @ApiModelProperty("年份")
    public int year;

    @ApiModelProperty("发放项目")
    public String project;
}
