package com.xjrsoft.module.personnel.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.personnel.dto.LaborManagementPageDto;
import com.xjrsoft.module.personnel.entity.LaborManagement;
import com.xjrsoft.module.personnel.vo.LaborManagementPageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @title: 劳资管理信息表
* @Author brealinxx
* @Date: 2024-01-23
* @Version 1.0
*/
@Mapper
public interface LaborManagementMapper extends MPJBaseMapper<LaborManagement> {
    Page<LaborManagementPageVo> getPage(Page<LaborManagementPageDto> page, LaborManagementPageDto dto);

    List<LaborManagementPageVo> listLaborManagementPageVo();
}
