package com.xjrsoft.module.print.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: tzx
 * @Date: 2023/5/19 10:16
 */
@Data
public class PrintSchemaInfoVo {
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("分类id")
    private Long category;

    @ApiModelProperty("api配置")
    private String apiConfig;

    @ApiModelProperty("是否生成菜单")
    private Integer isMenu;

    @ApiModelProperty("菜单id")
    private Long menuId;

    @ApiModelProperty("打印配置")
    private String content;

    @ApiModelProperty("排序")
    private Integer sortCode;

    @ApiModelProperty("父级菜单id")
    private Long parentId;

    @ApiModelProperty("图标")
    private String icon;


    @ApiModelProperty("备注")
    private String remark;

    private Integer enabledMark;
}
