package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 寝室
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class AddRoomDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 楼栋(base_office_build)
    */
    @ApiModelProperty("楼栋(base_office_build)")
    private Long officeBuildId;
    /**
    * 楼层
    */
    @ApiModelProperty("楼层")
    private String floorNumber;
    /**
    * 入住身份(xjr_dictionary_item[check_in_status])
    */
    @ApiModelProperty("入住身份(xjr_dictionary_item[check_in_status])")
    private String checkInStatus;
    /**
    * 入住性别(xjr_dictionary_item[gender])
    */
    @ApiModelProperty("入住性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
    * 床位数
    */
    @ApiModelProperty("床位数")
    private Integer bedCount;
    /**
    * 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）
    */
    @ApiModelProperty("每层房间数")
    private Integer floorRoomsCount;

}
