package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 寝室生成规则项
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class AddRoomRuleItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 寝室生成规则编号(room_rule)
    */
    @ApiModelProperty("寝室生成规则编号(room_rule)")
    private Long roomRuleId;
    /**
    * 楼栋(base_office_build)
    */
    @ApiModelProperty("楼栋(base_office_build)")
    private List<Long> officeBuildIds;

}
