package com.xjrsoft.module.room.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.room.dto.RoomTeacherAppointPageDto;
import com.xjrsoft.module.room.entity.RoomTeacherAppoint;
import com.xjrsoft.module.room.vo.RoomTeacherAppointPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 宿管任命
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Mapper
public interface RoomTeacherAppointMapper extends MPJBaseMapper<RoomTeacherAppoint> {
    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<RoomTeacherAppointPageVo> getPage(Page<RoomTeacherAppointPageDto> page, RoomTeacherAppointPageDto dto);
}
