package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class DistributeClassPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;

    /**
     * 楼栋名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年级")
    @ApiModelProperty("年级")
    private String gradeName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("专业部")
    @ApiModelProperty("专业部")
    private String orgName;

    /**
     * 班级名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("需要住宿人数")
    @ApiModelProperty("需要住宿人数")
    private Integer needCount;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("已分配床位数")
    @ApiModelProperty("已分配床位数")
    private Integer distributeCount;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("需要安排住宿的男生人数")
    @ApiModelProperty("需要安排住宿的男生人数")
    private Integer maleCount;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("需要安排住宿的女生人数")
    @ApiModelProperty("需要安排住宿的女生人数")
    private Integer femaleCount;
}
