package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class DistributeResultListVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id")
    private String classId;

    /**
     * 学生姓名
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("性别")
    private String genderCn;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("楼栋名称")
    private String buildName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("寝室名称")
    private String roomName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("床位号")
    private Integer bedNumber;
}
