package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.module.base.entity.BaseClass;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 查寝记录表单回显出参
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class RoomBedCheckRecordEchoVo {

    /**
     * 填写人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户id")
    @ApiModelProperty("用户id")
    private Long userId;
    /**
     * 填写人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户名")
    @ApiModelProperty("用户名")
    private String userName;
    /**
     * 班级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级")
    @ApiModelProperty("班级")
    private List<BaseClass> classList;

    /**
    * 寝室
    */
    @ApiModelProperty("寝室")
    private List<RoomEchoVo> roomEchoVoList;

}
