package com.xjrsoft.module.room.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室生成规则分页列表出参
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class RoomRulePageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 规则配置（多个规则用逗号隔开）
    */
    @ApiModelProperty("规则配置（多个规则用逗号隔开）")
    private String rule;
    /**
    * 绑定楼栋
    */
    @ApiModelProperty("绑定楼栋")
    private String buildNames;

    /**
     * 门牌号
     */
    @ApiModelProperty("门牌号")
    private String houseNumber;

    /**
     * 绑定楼栋
     */
    @ApiModelProperty("绑定楼栋id")
    private String buildIds;
}
