package com.xjrsoft.module.schedule.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dzx
 * @date 2024/1/29
 */
@Data
public class CourseListVo {

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("班级名称（课表类型为teacher时使用）")
    private String className;

    @ApiModelProperty("班级id")
    private String classId;

    @ApiModelProperty("教室名称（课表类型为class时使用）")
    private String classroomName;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private String timePeriodCn;


    @ApiModelProperty("节次")
    private String timeNumber;

    @ApiModelProperty("主键编号")
    private String id;
}
