package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 助学金项目
* @Author devil
* @Date: 2023-11-28
* @Version 1.0
*/
@Data
public class AddBaseStudentBursariesProjectDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 助学金类型(xjr_dictionary_item[bursaries_type])
    */
    @ApiModelProperty("助学金类型(xjr_dictionary_item[bursaries_type])")
    private String bursariesType;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
