package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 专业方向招生计划详情
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class AddEnrollmentPlanMajorSetDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 招生计划维护id(enrollment_plan)
     */
    @ApiModelProperty("招生计划维护id(enrollment_plan)")
    private Long enrollmentPlanId;
    /**
     * 专业方向id(base_major_set)
     */
    @ApiModelProperty("专业方向id(base_major_set)")
    private List<Long> baseMajorSetIds;
    /**
     * 毕业学校idid(base_graduate_school)
     */
    @ApiModelProperty("毕业学校id(base_graduate_school)")
    private List<Long> baseGraduateSchoolIds;

}
