package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 招生计划维护
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class BaseGraduateSchoolOfEnrollmentPlanListDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 招生计划维护id(enrollment_plan)
     */
    @ApiModelProperty("招生计划维护id(enrollment_plan)")
    private Long enrollmentPlanId = -1L;
    /**
     * 专业方向id
     */
    @ApiModelProperty("专业方向id")
    private Long baseMajorSetId = -1L;
}
