package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 招生计划维护
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class BaseMajorSetOfEnrollmentPlanPageDto extends PageInput implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("专业方向名称")
    private String name;

    @ApiModelProperty("所属机构")
    private Long departmentId;

    @ApiModelProperty("专业分类")
    private Long majorCategorId;

    /**
     * 招生计划维护id(enrollment_plan)
     */
    @ApiModelProperty("招生计划维护id(enrollment_plan)")
    private Long enrollmentPlanId = -1L;
}
