package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 奖学金发放记录表分页查询入参
* @Author dzx
* @Date: 2024-07-25
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentScholarshipReleasePageDto extends PageInput {

    @ApiModelProperty("申请奖助学金名称")
    private String scholarshipCategory;

    @ApiModelProperty("学期id")
    private Long semesterId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("发放状态")
    private Integer releaseStatus;

    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ApiModelProperty("申请奖助学金id")
    private Long scholarshipCategoryId;

    @ApiModelProperty("申请id")
    private Long applicantId;

}
