package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 删除新生
* @Author fanxp
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
public class DeleteNewStudentDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("新生信息id")
    private List<Long> ids;

    @ApiModelProperty("学生userIds")
    private List<Long> userIds;

    @ApiModelProperty("删除原因")
    private String deleteReason;
}
