package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 毕业学校招生计划详情分页查询入参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EnrollmentPlanGraduateSchoolPageDto extends PageInput {

    /**
     * 专业方向招生计划详情id(enrollment_plan_major_set)
     */
    @ApiModelProperty("专业方向招生计划详情id(enrollment_plan_major_set)")
    private Long enrollmentPlanMajorSetId;
}
