package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 升学管理分页查询入参
* @Author szs
* @Date: 2023-12-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class SchoolRollFurtherEducationPageDto extends PageInput {
    /**
     * 学生编号对应的姓名(学生user_id)
     */
    @ApiModelProperty("学生编号姓名(学生user_id)")
    private String studentIdCN;
    /**
     * 异动前班级中文(base_class)
     */
    @ApiModelProperty("异动前班级中文(base_class)")
    private String beforeClassIdCN;
    /**
     * 异动后班级中文(base_class)
     */
    @ApiModelProperty("异动后班级中文(base_class)")
    private String backClassIdCN;
    /**
     * 申请人（操作人）姓名
     */
    @ApiModelProperty("申请人姓名")
    private String applicantUserIdCN;
}
