package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生报到记录表分页查询入参
* @Author dzx
* @Date: 2024-08-28
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StudentReportRecordStatisticsDto extends PageInput {
    @ApiModelProperty("班主人id（不传则查询当前登录者的）")
    private Long teacherId;

    @ApiModelProperty("学期id（不传查询最新一学期的）")
    private Long baseSemesterId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("招生类型(xjr_dictionary_detail[enroll_type])")
    private String enrollType;
}
