package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 学生班级巡查考核-关联班级
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
@TableName("base_student_behavior_class_relation")
@ApiModel(value = "学生班级巡查考核-关联班级对象", description = "学生班级巡查考核-关联班级")
public class BaseStudentBehaviorClassRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 班级编号id
    */
    @ApiModelProperty("班级编号id")
    private Long classId;
    /**
    * 学生操行分记录管理id
    */
    @ApiModelProperty("学生操行分记录管理id")
    private Long baseStudentBehaviorManageId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;

    @TableField(exist = false)
    @ApiModelProperty("班级名称")
    private String className;


}