package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.PbVXssfdetailExcelDto;
import com.xjrsoft.module.student.dto.PbVXssfdetailPageDto;
import com.xjrsoft.module.student.entity.PbVXssfdetail;
import com.xjrsoft.module.student.vo.PbVXssfdetailExcelVo;
import com.xjrsoft.module.student.vo.PbVXssfdetailPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/
@Mapper
public interface PbVXssfdetailMapper extends MPJBaseMapper<PbVXssfdetail> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<PbVXssfdetailPageVo> getPage(Page<PbVXssfdetailPageVo> page, PbVXssfdetailPageDto dto);

    List<PbVXssfdetailExcelVo> getList(@Param("dto") PbVXssfdetailExcelDto dto);
}
