package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.SchoolRollFurtherEducationPageDto;
import com.xjrsoft.module.student.entity.SchoolRollFurtherEducation;
import com.xjrsoft.module.student.vo.SchoolRollFurtherEducationPageVo;
import com.xjrsoft.module.student.vo.SchoolRollFurtherEducationVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 升学管理
* @Author szs
* @Date: 2023-12-01
* @Version 1.0
*/
@Mapper
public interface SchoolRollFurtherEducationMapper extends MPJBaseMapper<SchoolRollFurtherEducation> {

    /**
     * 升学管理列表(分页)PC端
     * @return
     */
    Page<SchoolRollFurtherEducationPageVo> getPageListPc(IPage<SchoolRollFurtherEducationPageDto> page, SchoolRollFurtherEducationPageDto dto);

    /**
     * 根据id查询升学管理信息
     * @param id
     * @return
     */
    SchoolRollFurtherEducationVo getDetailById(Long id);

}
