package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.room.dto.RoomPageDto;
import com.xjrsoft.module.room.vo.RoomPageVo;
import com.xjrsoft.module.student.dto.StudentReportRecordPageDto;
import com.xjrsoft.module.student.dto.StudentReportRecordStatisticsDto;
import com.xjrsoft.module.student.entity.StudentReportRecord;
import com.xjrsoft.module.student.vo.StudentReportRecordPageVo;
import com.xjrsoft.module.student.vo.StudentReportRecordStatisticsListVo;
import com.xjrsoft.module.student.vo.StudentReportRecordStatisticsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 学生报到记录表
* @Author dzx
* @Date: 2024-08-28
* @Version 1.0
*/
@Mapper
public interface StudentReportRecordMapper extends MPJBaseMapper<StudentReportRecord> {

    StudentReportRecordStatisticsVo getClassStatistics(@Param("dto") StudentReportRecordStatisticsDto dto);

    List<StudentReportRecordStatisticsListVo> getStatisticsDataList(@Param("dto") StudentReportRecordStatisticsDto dto);

    Page<StudentReportRecordPageVo> getMobilePage(Page<StudentReportRecordPageVo> page, @Param("dto") StudentReportRecordPageDto dto);

}
