package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.BaseStudentBursariesApplicantPageDto;
import com.xjrsoft.module.student.entity.BaseStudentBursariesApplicant;
import com.xjrsoft.module.student.vo.BaseStudentBursariesApplicantPageVo;

/**
* @title: 助学金申请
* @Author dzx
* @Date: 2023-11-24
* @Version 1.0
*/

public interface IBaseStudentBursariesApplicantService extends MPJBaseService<BaseStudentBursariesApplicant> {

    /**
     * 助学金申请名单查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentBursariesApplicantPageVo> getPage(Page<BaseStudentBursariesApplicantPageDto> page, BaseStudentBursariesApplicantPageDto dto);

}
