package com.xjrsoft.module.student.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.BaseStudentUserPageDto;
import com.xjrsoft.module.student.entity.BaseStudent;
import com.xjrsoft.module.student.vo.BaseStudentUserPageVo;
import com.xjrsoft.module.student.vo.StudentPersonalInfoVo;

import java.util.List;

/**
* @title: 奖学金申请
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/

public interface IBaseStudentService extends MPJBaseService<BaseStudent> {
    StudentPersonalInfoVo getPersonalInfo(Long userId);

    List<BaseStudentUserPageVo> getStudentList(BaseStudentUserPageDto dto);
}
