package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @title: 表单出参
 * @Author 管理员
 * @Date: 2023-08-08
 * @Version 1.0
 */
@Data
public class BaseStudentContactVo {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * QQ&MSN
     */
    @ApiModelProperty("QQ&MSN")
    private String qqMsn;
    /**
     * 微信号
     */
    @ApiModelProperty("微信号")
    private String wechat;
    /**
     * 个人主页
     */
    @ApiModelProperty("个人主页")
    private String userPage;
}
