package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生处分信息管理表单出参
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
public class BaseStudentPunishmentInfoMobileDetailVo extends BaseStudentPunishmentInfoPageVo{

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String studentName;

    /**
     * 学生性别
     */
    @ApiModelProperty("学生性别")
    private Integer gender;

    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    private String studentId;

    /**
     * 证件号码
     */
    @ApiModelProperty("证件号码")
    private String credentialNumber;

    /**
     * 所在班级
     */
    @ApiModelProperty("所在班级")
    private String className;

    /**
     * 在读专业
     */
    @ApiModelProperty("在读专业")
    private String major;

    /**
     * 调整类型
     */
    @ApiModelProperty("调整类型")
    private String adjustType;

    /**
     * 调整日期
     */
    @ApiModelProperty("调整日期")
    private String adjustDate;

    /**
     * 调整原因
     */
    @ApiModelProperty("调整原因")
    private String adjustReason;

    /**
     * 操作时间
     */
    @ApiModelProperty("操作时间")
    private String modifyTime;

    /**
     * 处分日期
     */
    @ApiModelProperty("处分日期")
    private String createTime;

    /**
     * 是否公示
     */
    @ApiModelProperty("是否公示")
    private Integer isPublicity;

    /**
     * 处分开始日期
     */
    @ApiModelProperty("处分开始日期")
    private String startTime;

    /**
     * 处分结束日期
     */
    @ApiModelProperty("处分结束日期")
    private String endTime;

    /**
     * 处分原因
     */
    @ApiModelProperty("处分原因")
    private String reason;

    /**
     * 处分类型
     */
    @ApiModelProperty("处分类型")
    private String punishmentType;
}
