package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 专业方向招生计划详情表单出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class EnrollmentPlanMajorSetVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 招生计划维护id(enrollment_plan)
    */
    @ApiModelProperty("招生计划维护id(enrollment_plan)")
    private Long enrollmentPlanId;
    /**
    * 专业方向id(base_major_set)
    */
    @ApiModelProperty("专业方向id(base_major_set)")
    private Long baseMajorSetId;
    /**
    * 专业方向计划招生人数
    */
    @ApiModelProperty("专业方向计划招生人数")
    private Integer baseMajorSetEnrollmentNum;
    /**
    * 专业方向最大计划招生人数
    */
    @ApiModelProperty("专业方向最大计划招生人数")
    private Integer baseMajorSetEnrollmentNumMax;



}
