package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 分页列表出参
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/
@Data
public class PbVXssfdetailExcelVo {

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String studentId;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别中文")
    @ApiModelProperty("性别中文")
    private String genderCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期")
    @ApiModelProperty("学期")
    private String semesterName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("收费项目")
    @ApiModelProperty("收费项目")
    private String feeitemname;
    @ContentStyle(dataFormat = 49)

    @ExcelProperty("类型")
    @ApiModelProperty("类型")
    private String category;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("支付金额")
    @ApiModelProperty("支付金额")
    private Double mny;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("支付类型")
    @ApiModelProperty("支付类型")
    private String paytype;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("支付时间")
    @ApiModelProperty("支付时间")
    private String paydate;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("订单号")
    @ApiModelProperty("订单号")
    private String payorder;
}
