package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专业招收人数统计出擦
 */
@Data
public class ProfessionalHeadCount {
    /**
     * 专业名称
     */
    @ApiModelProperty("专业名称")
    private String key;
    /**
     * 已报名
     */
    @ApiModelProperty("已报名")
    private Long value;

    /**
     * 学员余数
     */
    @ApiModelProperty("学员余数")
    private Long studentRemainder;

    public ProfessionalHeadCount() {
    }

    public ProfessionalHeadCount(String key, Long value) {
        this.key = key;
        this.value = value;
    }
}
