package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 升学管理分页列表出参
* @Author szs
* @Date: 2023-12-01
* @Version 1.0
*/
@Data
public class SchoolRollFurtherEducationPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 序号
     */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 学生编号对应的(学生user_id)
     */
    @ApiModelProperty("学生编号(学生user_id)")
    private String studentId;
    /**
     * 学生编号对应的姓名(学生user_id)
     */
    @ApiModelProperty("学生编号姓名(学生user_id)")
    private String studentIdCN;
    /**
     * 学生证件号码
     */
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
     * 异动前专业方向中文(base_major_set)
     */
    @ApiModelProperty("异动前专业方向中文(base_major_set)")
    private String beforeMajorSetIdCN;
    /**
     * 异动前班级中文(base_class)
     */
    @ApiModelProperty("异动前班级中文(base_class)")
    private String beforeClassIdCN;
    /**
     * 异动后班级中文(base_class)
     */
    @ApiModelProperty("异动后班级中文(base_class)")
    private String backClassIdCN;
    /**
     * 异动后专业方向中文(base_major_set)
     */
    @ApiModelProperty("异动后专业方向中文(base_major_set)")
    private String backMajorSetIdCN;
    /**
     * 申请人（操作人）姓名
     */
    @ApiModelProperty("申请人姓名")
    private String applicantUserIdCN;
    /**
     * 原因
     */
    @ApiModelProperty("原因")
    private String reason;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

}
