package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class StudentHonorsTreeVo implements ITreeNode<StudentHonorsTreeVo,Long>, Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("名字")
    private String name;

    @ApiModelProperty("父级id")
    private Long parentId;

    private List<StudentHonorsTreeVo> children;
}
