package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 菜单部门关联表
* @Author brealinxx
* @Date: 2024-04-09
* @Version 1.0
*/
@Data
public class AddXjrMenuDeptRelationDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 菜单id
    */
    @ApiModelProperty("菜单id")
    private Long menuId;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long deptId;

}
