package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 功能分类设置菜单关联表
* @Author dzx
* @Date: 2024-08-09
* @Version 1.0
*/
@Data
public class AddXjrMenuGroupDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 菜单id(xjr_menu)
    */
    @ApiModelProperty("菜单id(xjr_menu)")
    private List<Long> xjrMenuIds;
    /**
    * 功能分类设置(xjr_menu_group_set)
    */
    @ApiModelProperty("功能分类设置(xjr_menu_group_set)")
    private Long xjrMenuGroupSetId;

}
