package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 快捷菜单
* @Author fanxp
* @Date: 2023-11-11
* @Version 1.0
*/
@Data
public class SaveXjrMenuQuickDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 角色编号
    */
    @ApiModelProperty("角色编号")
    private Long roleId;
    /**
     * 数据类型 1=用户 2=角色
     */
    @ApiModelProperty("数据类型 1=用户 2=角色")
    private Integer dataType;
    /**
     * 菜单数据
     */
    @ApiModelProperty("菜单数据")
    private List<AddXjrMenuQuickDto> menus;
}
