package com.xjrsoft.module.teacher.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 教师奖项分页查询入参
* @Author dzx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TeacherAwardDetailPageDto extends PageInput {
    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private String applicantUserIdCn;
    /**
     * 奖项名称
     */
    @ApiModelProperty("完整的奖项名称")
    private String wholeCompetitionName;
    /**
     * 是否论文（1：是 0：否）
     */
    @ApiModelProperty("是否论文（1：是 0：否）")
    private Integer isThesis;
}
