package com.xjrsoft.module.teacher.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.teacher.dto.WfHeadTeacherLeavePageDto;
import com.xjrsoft.module.teacher.entity.WfHeadTeacherLeave;
import com.xjrsoft.module.teacher.vo.WfHeadTeacherLeavePageVo;

import java.time.LocalDateTime;
import java.util.Map;

/**
* @title: 班主任事项请假
* @Author szs
* @Date: 2023-12-19
* @Version 1.0
*/

public interface IWfHeadTeacherLeaveService extends MPJBaseService<WfHeadTeacherLeave> {
    /**
     * 班主任事项请假列表(分页)
     * @param dto
     * @return
     */
    IPage<WfHeadTeacherLeavePageVo> getListPage(WfHeadTeacherLeavePageDto dto);

    Map<Long, WfHeadTeacherLeave> getLeaveList(LocalDateTime startTime, LocalDateTime endTime);
}
