package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 学科组管理分页列表出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class SubjectGroupPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 组名
    */
    @ApiModelProperty("组名")
    private String groupName;
    /**
    * 组长用户编号
    */
    @ApiModelProperty("组长用户编号")
    private Long leaderUserId;
    /**
     * 组长用户编号
     */
    @ApiModelProperty("组长用户编号")
    private String leaderUserIdCN;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 学科组课程管理信息
     */
    @ApiModelProperty("学科组课程管理信息")
    private List<SubjectGroupCoursePageVo> subjectGroupCourseList;

}
