package com.xjrsoft.module.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *  流程提醒记录表
 * </p>
 *
 * @author tzx
 * @since 2022-10-11
 */
@TableName("xjr_workflow_alert_record")
@ApiModel(value = "WorkflowAlertRecord对象", description = "")
@Data
public class WorkflowAlertRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("提醒时间")
    private LocalDateTime sendTime;

    @ApiModelProperty("被提醒人id")
    private Long userId;

    @ApiModelProperty("流程名称")
    private String processName;

    @ApiModelProperty("进程id")
    private Long processId;

    @ApiModelProperty("提醒类别(1:超时提醒...)")
    private Integer type;

}
