package com.xjrsoft.module.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xjrsoft.module.workflow.entity.WorkflowRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 工作流 流转记录信息 Mapper 接口
 * </p>
 *
 * @author tzx
 * @since 2022-11-10
 */
@Mapper
public interface WorkflowRecordMapper extends BaseMapper<WorkflowRecord> {
    @Select("select count(*) from xjr_workflow_record where node_id = #{taskId}")
    Integer getTaskCount(String taskId);
}
