package com.xjrsoft.module.xycxedu.dto;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class ExamStatisticsPageDto extends PageInput {
    private static final long serialVersionUID = 1L;
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("考试名称")
    private String milexamname;
    /**
     * 学号
     */
    @ApiModelProperty("学期id")
    private Long semesterId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("开始时间")
    private String startDate;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("结束时间")
    private String endDate;
}