package com.xjrsoft.module.xycxedu.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 考试计划维护分页列表出参
* @Author dzx
* @Date: 2024-07-18
* @Version 1.0
*/
@Data
public class ExamPlanPageVo {

    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改日期")
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标记")
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 学期id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期id")
    @ApiModelProperty("学期id")
    private Long semesterId;

    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
    * 考试计划名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("考试计划名称")
    @ApiModelProperty("考试计划名称")
    private String name;
    /**
    * 晓羊策学考试计划id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("晓羊策学考试计划id")
    @ApiModelProperty("晓羊策学考试计划id")
    private String milexamids;

    @ApiModelProperty("晓羊策学考试计划名称")
    private String milexamnames;

}
